> For the complete documentation index, see [llms.txt](https://docs.sonarsource.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonarsource.com/sonarqube-server/10.6/user-guide/code-metrics/modifying-technical-debt-parameters.md).

# Modifying technical-debt parameters

You can modify in the SonarQube Server 10.6 UI at the global level some parameters related to the maintainability metrics

{% hint style="info" %}
**For AI agents:** You're in the SonarQube Server 10.6 documentation. For a list of all 10.6 pages, see the [SonarQube Server 10.6 page index](https://3001318305-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FVhGCsZJo9Ao0Jjyhvpxl%2Fuploads%2Ff9vLtbQH3RPKLlpDPMG5%2Fsonarqube-server-10.6-llms.txt?alt=media). For the whole site, see the [page index](https://docs.sonarsource.com/llms.txt) or the [full text](https://docs.sonarsource.com/llms-full.txt). For another version, replace 10.6 in the URL with that version. The [latest version](https://docs.sonarsource.com/sonarqube-server/) has no version number in its URL.
{% endhint %}

You can modify in the SonarQube Server UI at the global level some parameters related to the [Metric definitions](/sonarqube-server/10.6/user-guide/code-metrics/metrics-definition.md) provided you have the Administer system permission. Alternatively, you can set the corresponding sonar property on the CI/CD host (see Analysis parameters).

## Changing the software development cost calculation <a href="#sw-dev-cost-calculation" id="sw-dev-cost-calculation"></a>

The development cost of one line of code is used in the Technical debt ratio calculation. To change the default value:

1. In the top navigation bar of SonarQube Server, select **Administration > Configuration > General settings > Technical Debt**.
2. In **Development cost**, change the values (in minutes).

The corresponding sonar property is `sonar.technicalDebt.developmentCost`.

## Changing the maintainability rating grid <a href="#maintainability-rating-grid" id="maintainability-rating-grid"></a>

To change the default Maintainability rating grid:

1. In the top navigation bar of SonarQube Server, select **Administration > Configuration > General settings > Technical Debt**.
2. In **Maintainability rating grid**, change the rating definition.

The corresponding sonar property is `sonar.technicalDebt.ratingGrid`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sonarsource.com/sonarqube-server/10.6/user-guide/code-metrics/modifying-technical-debt-parameters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
